Package csb :: Package statistics :: Package samplers :: Package mc :: Module multichain :: Class ThermostattedMDRENSSwapParameterInfo

[frames] | no frames]

# Class ThermostattedMDRENSSwapParameterInfo

source code

                   object --+
                            |
    AbstractSwapParameterInfo --+
                                |
              RESwapParameterInfo --+
                                    |
              MDRENSSwapParameterInfo --+
                                        |
                                       ThermostattedMDRENSSwapParameterInfo

Nested Classes
Inherited from `AbstractSwapParameterInfo`: `__metaclass__`

Instance Methods

__init__(self, sampler1, sampler2, timestep, traj_length, gradient, mass_matrix=None, protocol=None, temperature=<function <lambda> at 0xb00e4fc>, collision_probability=0.1, collision_interval=1) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
Inherited from `AbstractSwapParameterInfo`: `__abstractmethods__`

Properties
| collision_interval Interval during which collision may occur with probability `collision_probability`.
| collision_probability Probability for a collision with the heatbath during one timestep.
| temperature
Inherited from `MDRENSSwapParameterInfo`: `gradient`, `mass_matrix`, `protocol`, `timestep`, `traj_length` Inherited from `AbstractSwapParameterInfo`: `sampler1`, `sampler2` Inherited from `object`: `__class__`

Method Details

### __init__(self, sampler1, sampler2, timestep, traj_length, gradient, mass_matrix=None, protocol=None, temperature=<function <lambda> at 0xb00e4fc>, collision_probability=0.1, collision_interval=1)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `sampler1` (subclass instance of AbstractSingleChainMC) - First sampler
  - `sampler2` (subclass instance of AbstractSingleChainMC) - Second sampler
  - `timestep` (float) - Integration timestep
  - `traj_length` (int) - Trajectory length in number of timesteps
  - `gradient` (subclass instance of AbstractGradient) - Gradient which determines the dynamics during a trajectory
  - `mass_matrix` (n-dimensional InvertibleMatrix with n being the dimension of the configuration space, that is, the dimension of the position / momentum vectors) - Mass matrix
  - `protocol` (callable) - Switching protocol determining the time dependence of the switching parameter. It is a function f taking the running time t and the switching time tau to yield a value in [0, 1] with f(0, tau) = 0 and f(tau, tau) = 1
  - `temperature` (Real-valued function mapping from [0,1] to R. T(0) = temperature of the ensemble sampler1 samples from, T(1) = temperature of the ensemble sampler2 samples from) - Temperature interpolation function.
  - `collision_probability` (float) - Probability for a collision with the heatbath during one timestep
  - `collision_interval` (int) - Interval during which collision may occur with probability collision_probability
Overrides: object.__init__
  (inherited documentation)

Property Details

### collision_interval

Interval during which collision may occur with probability `collision_probability`.

Get Method:
  unreachable.collision_interval(self) - Interval during which collision may occur with probability `collision_probability`.
Set Method:
  unreachable.collision_interval(self, value)

### collision_probability

Probability for a collision with the heatbath during one timestep.

Get Method:
  unreachable.collision_probability(self) - Probability for a collision with the heatbath during one timestep.
Set Method:
  unreachable.collision_probability(self, value)

### temperature

Get Method:
  unreachable.temperature(self)